# HG changeset patch
# Node ID dacd06a7024a
# Parent  0611c060a02c
diff --git a/README b/README
--- a/README
+++ b/README
@@ -4,7 +4,7 @@
 
 libpurple is a library intended to be used by programmers seeking
 to write an IM client that connects to many IM networks.  It supports
-AIM, ICQ, and XMPP, among others.
+XMPP among other protocols.
 
 Pidgin is a graphical IM client written in C which uses the GTK+
 toolkit.
@@ -12,9 +12,6 @@
 Finch is a text-based IM client written in C which uses the ncurses
 toolkit.
 
-These programs are not endorsed by, nor affiliated with, AOL nor any
-other company in any way.
-
 BUILD
 =====
 
diff --git a/configure.ac b/configure.ac
--- a/configure.ac
+++ b/configure.ac
@@ -1160,7 +1160,7 @@
 fi
 
 if test "x$STATIC_PRPLS" = "xall" ; then
-	STATIC_PRPLS="bonjour gg irc jabber novell oscar sametime silc simple zephyr"
+	STATIC_PRPLS="bonjour gg irc jabber novell sametime silc simple zephyr"
 fi
 if test "x$have_meanwhile" != "xyes" ; then
 	STATIC_PRPLS=`echo $STATIC_PRPLS | $sedpath 's/sametime//'`
@@ -1180,33 +1180,22 @@
 load_proto=
 for i in $STATIC_PRPLS ; do
 	dnl Ugly special case for "libsilcpurple.la":
-	dnl ... and Ugly special case for multi-protocol oscar
-	if test \( "x$i" = "xoscar" -o "x$i" = "xaim" -o "x$i" = "xicq" \) -a "x$static_oscar" != "xyes"; then
-		STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/oscar/liboscar.la"
-		extern_init="$extern_init extern gboolean purple_init_aim_plugin();"
-		extern_init="$extern_init extern gboolean purple_init_icq_plugin();"
-		load_proto="$load_proto purple_init_aim_plugin();"
-		load_proto="$load_proto purple_init_icq_plugin();"
+	if test "x$i" = "xsilc"; then
+		STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/$i/lib${i}purple.la"
+	elif test "x$i" = "xsilc10"; then
+		STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/$i/libsilcpurple.la"
 	else
-		if test "x$i" = "xsilc"; then
-			STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/$i/lib${i}purple.la"
-		elif test "x$i" = "xsilc10"; then
-			STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/$i/libsilcpurple.la"
-		else
-			STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/$i/lib$i.la"
-		fi
-		extern_init="$extern_init extern gboolean purple_init_${i}_plugin();"
-		load_proto="$load_proto purple_init_${i}_plugin();"
+		STATIC_LINK_LIBS="$STATIC_LINK_LIBS \$(top_builddir)/libpurple/protocols/$i/lib$i.la"
 	fi
+	extern_init="$extern_init extern gboolean purple_init_${i}_plugin();"
+	load_proto="$load_proto purple_init_${i}_plugin();"
+
 	case $i in
 		bonjour)	static_bonjour=yes ;;
 		gg)			static_gg=yes ;;
 		irc)		static_irc=yes ;;
 		jabber)		static_jabber=yes ;;
 		novell)		static_novell=yes ;;
-		oscar)		static_oscar=yes ;;
-		aim)		static_oscar=yes ;;
-		icq)		static_oscar=yes ;;
 		sametime)	static_sametime=yes ;;
 		silc)		static_silc=yes ;;
 		silc10)		static_silc=yes ;;
@@ -1220,7 +1209,6 @@
 AM_CONDITIONAL(STATIC_IRC, test "x$static_irc" = "xyes")
 AM_CONDITIONAL(STATIC_JABBER, test "x$static_jabber" = "xyes")
 AM_CONDITIONAL(STATIC_NOVELL, test "x$static_novell" = "xyes")
-AM_CONDITIONAL(STATIC_OSCAR, test "x$static_oscar" = "xyes")
 AM_CONDITIONAL(STATIC_SAMETIME, test "x$static_sametime" = "xyes" -a "x$have_meanwhile" = "xyes")
 AM_CONDITIONAL(STATIC_SILC, test "x$static_silc" = "xyes" -a "x$have_silc" = "xyes")
 AM_CONDITIONAL(STATIC_SIMPLE, test "x$static_simple" = "xyes")
@@ -1231,7 +1219,7 @@
 
 AC_ARG_WITH(dynamic_prpls, [AC_HELP_STRING([--with-dynamic-prpls], [specify which protocols to build dynamically])], [DYNAMIC_PRPLS=`echo $withval | $sedpath 's/,/ /g'`])
 if test "x$DYNAMIC_PRPLS" = "xall" ; then
-	DYNAMIC_PRPLS="bonjour gg irc jabber novell oscar sametime silc simple zephyr"
+	DYNAMIC_PRPLS="bonjour gg irc jabber novell sametime silc simple zephyr"
 fi
 if test "x$have_meanwhile" != "xyes"; then
 	DYNAMIC_PRPLS=`echo $DYNAMIC_PRPLS | $sedpath 's/sametime//'`
@@ -1254,9 +1242,6 @@
 		jabber)		dynamic_jabber=yes ;;
 		novell)		dynamic_novell=yes ;;
 		null)		dynamic_null=yes ;;
-		oscar)		dynamic_oscar=yes ;;
-		aim)		dynamic_oscar=yes ;;
-		icq)		dynamic_oscar=yes ;;
 		sametime)	dynamic_sametime=yes ;;
 		silc)		dynamic_silc=yes ;;
 		silc10)		dynamic_silc=yes ;;
@@ -2604,7 +2589,6 @@
 		   libpurple/protocols/jabber/Makefile
 		   libpurple/protocols/novell/Makefile
 		   libpurple/protocols/null/Makefile
-		   libpurple/protocols/oscar/Makefile
 		   libpurple/protocols/sametime/Makefile
 		   libpurple/protocols/silc/Makefile
 		   libpurple/protocols/silc10/Makefile
diff --git a/doc/finch.1.in b/doc/finch.1.in
--- a/doc/finch.1.in
+++ b/doc/finch.1.in
@@ -30,10 +30,9 @@
 .SH DESCRIPTION
 .PP
 \fBfinch\fR is a console-based modular messaging client based on libpurple
-which is capable of connecting to AIM, XMPP, ICQ, IRC, SILC,
+which is capable of connecting to XMPP, IRC, SILC,
 Novell GroupWise, Lotus Sametime, Zephyr, Gadu-Gadu, and QQ all at once. It has
 many common features found in other clients, as well as many unique features.
-Finch is not endorsed by or affiliated with America Online, ICQ, or Microsoft.
 
 .SH OPTIONS
 The following options are provided by \fBfinch\fR using the standard GNU
diff --git a/doc/pidgin.1.in b/doc/pidgin.1.in
--- a/doc/pidgin.1.in
+++ b/doc/pidgin.1.in
@@ -29,10 +29,9 @@
 .SH DESCRIPTION
 .PP
 \fBpidgin\fR is a graphical modular messaging client based on libpurple
-which is capable of connecting to AIM, XMPP, ICQ, IRC, SILC,
+which is capable of connecting to XMPP, IRC, SILC,
 Novell GroupWise, Lotus Sametime, Zephyr, Gadu-Gadu, and QQ all at once. It has
 many common features found in other clients, as well as many unique features.
-Pidgin is not endorsed by or affiliated with America Online, ICQ, or Microsoft.
 .PP
 Pidgin can be extended by plugins written in multiple programming languages and
 controlled through DBus or \fBpurple-remote\fR.
@@ -92,7 +91,7 @@
 other protocols, aliases are saved only locally.
 .TP
 .B Protocol
-A messaging service.  AIM, XMPP, Zephyr, etc. are protocols.  Others may
+A messaging service.  XMPP, Zephyr, etc. are protocols.  Others may
 call these "service types," "account types," "services," and so on.
 
 .SH BUDDY LIST
@@ -332,11 +331,6 @@
 message in Pidgin to determine idle.  \fBNever\fR disables idle reporting.
 
 .TP
-.B Auto-reply
-Determines when to send an auto-reply on protocols which support it
-(currently only AIM).
-
-.TP
 .B Change status when idle
 When enabled, this uses the \fBMinutes before becoming idle\fR and \fBChange
 status to\fR preferences described below to set status on idle.
diff --git a/libpurple/plugins/psychic.c b/libpurple/plugins/psychic.c
--- a/libpurple/plugins/psychic.c
+++ b/libpurple/plugins/psychic.c
@@ -21,7 +21,7 @@
 #define PLUGIN_SUMMARY  N_("Psychic mode for incoming conversation")
 #define PLUGIN_DESC     N_("Causes conversation windows to appear as other" \
 			   " users begin to message you.  This works for" \
-			   " AIM, ICQ, XMPP, and Sametime")
+			   " XMPP and Sametime")
 #define PLUGIN_AUTHOR   "Christopher O'Brien <siege@preoccupied.net>"
 
 
diff --git a/libpurple/protocols/Makefile.am b/libpurple/protocols/Makefile.am
--- a/libpurple/protocols/Makefile.am
+++ b/libpurple/protocols/Makefile.am
@@ -1,5 +1,5 @@
 EXTRA_DIST = Makefile.mingw
 
-DIST_SUBDIRS = bonjour gg irc jabber novell null oscar sametime silc silc10 simple zephyr
+DIST_SUBDIRS = bonjour gg irc jabber novell null sametime silc silc10 simple zephyr
 
 SUBDIRS = $(DYNAMIC_PRPLS) $(STATIC_PRPLS)
diff --git a/libpurple/protocols/Makefile.mingw b/libpurple/protocols/Makefile.mingw
--- a/libpurple/protocols/Makefile.mingw
+++ b/libpurple/protocols/Makefile.mingw
@@ -8,7 +8,7 @@
 PIDGIN_TREE_TOP := ../..
 include $(PIDGIN_TREE_TOP)/libpurple/win32/global.mak
 
-SUBDIRS = gg irc jabber novell null oscar sametime silc simple bonjour
+SUBDIRS = gg irc jabber novell null sametime silc simple bonjour
 
 .PHONY: all install clean
 
diff --git a/libpurple/purple-url-handler b/libpurple/purple-url-handler
--- a/libpurple/purple-url-handler
+++ b/libpurple/purple-url-handler
@@ -123,32 +123,6 @@
     cpurple.PurpleBlistRequestAddBuddy(account, screenname, group, alias)
 
 
-def aim(uri):
-    protocol = "prpl-aim"
-    match = re.match(r"^aim:([^?]*)(\?(.*))", uri)
-    if not match:
-        print("Invalid aim URI: %s" % uri)
-        return
-
-    command = unquote_plus(match.group(1))
-    paramstring = match.group(3)
-    params = {}
-    if paramstring:
-        for param in paramstring.split("&"):
-            key, value = extendlist(param.split("=", 1), 2, "")
-            params[key] = unquote_plus(value)
-    accountname = params.get("account", "")
-    screenname = params.get("screenname", "")
-
-    account = findaccount(protocol, accountname)
-
-    if command.lower() == "goim":
-        goim(account, screenname, params.get("message"))
-    elif command.lower() == "gochat":
-        gochat(account, params)
-    elif command.lower() == "addbuddy":
-        addbuddy(account, screenname, params.get("group", ""))
-
 def gg(uri):
     protocol = "prpl-gg"
     match = re.match(r"^gg:(.*)", uri)
@@ -317,9 +291,7 @@
     type = uri.split(":")[0]
 
     try:
-        if type == "aim":
-            aim(uri)
-        elif type == "gg":
+        if type == "gg":
             gg(uri)
         elif type == "icq":
             icq(uri)
diff --git a/libpurple/tests/Makefile.am b/libpurple/tests/Makefile.am
--- a/libpurple/tests/Makefile.am
+++ b/libpurple/tests/Makefile.am
@@ -14,7 +14,6 @@
 		test_jabber_digest_md5.c \
 		test_jabber_jutil.c \
 		test_jabber_scram.c \
-		test_oscar_util.c \
 		test_util.c \
 		test_xmlnode.c \
 		$(top_builddir)/libpurple/util.h
@@ -30,7 +29,6 @@
 
 check_libpurple_LDADD=\
 		$(top_builddir)/libpurple/protocols/jabber/libjabber.la \
-		$(top_builddir)/libpurple/protocols/oscar/liboscar.la \
 		$(top_builddir)/libpurple/libpurple.la \
         @CHECK_LIBS@ \
 		$(GLIB_LIBS)
diff --git a/pidgin.apspec.in b/pidgin.apspec.in
--- a/pidgin.apspec.in
+++ b/pidgin.apspec.in
@@ -14,7 +14,7 @@
 
 [Description]
 Pidgin allows you to talk to anyone using a variety of messaging protocols,
-including AIM (Oscar and TOC), ICQ, IRC, XMPP,
+including IRC, XMPP,
 Gadu-Gadu, and Zephyr. These protocols are implemented using a
 modular, easy to use design. To use a protocol, just add an account using the
 account editor.
@@ -22,9 +22,6 @@
 Pidgin supports many common features of other clients, as well as many unique
 features, such as perl scripting, TCL scripting and C plugins.
 
-Pidgin is NOT affiliated with or endorsed by America Online, Inc., Microsoft
-Corporation, or ICQ Inc.
-
 [BuildPrepare]
 APBUILD_STATIC="Xss startup-notification-1" prepareBuild --enable-nss --enable-gnutls --enable-binreloc --disable-perl --disable-tcl --disable-gtktest --disable-glibtest --disable-vv  --disable-fortify
 #APBUILD_STATIC="Xss startup-notification-1" prepareBuild --enable-nss --enable-gnutls --enable-binreloc --disable-perl --disable-tcl --disable-vv
diff --git a/pidgin.spec.in b/pidgin.spec.in
--- a/pidgin.spec.in
+++ b/pidgin.spec.in
@@ -161,8 +161,8 @@
 
 %description
 Pidgin allows you to talk to anyone using a variety of messaging
-protocols including AIM, XMPP, Bonjour, Gadu-Gadu,
-ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
+protocols including XMPP, Bonjour, Gadu-Gadu,
+IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
 Zephyr.  These protocols are implemented using a modular, easy to
 use design.  To use a protocol, just add an account using the
 account editor.
@@ -170,9 +170,6 @@
 Pidgin supports many common features of other clients, as well as many
 unique features, such as perl scripting, TCL scripting and C plugins.
 
-Pidgin is not affiliated with or endorsed by America Online, Inc.,
-Microsoft Corporation, or ICQ Inc.
-
 %description devel
 The pidgin-devel package contains the header files, developer
 documentation, and libraries required for development of Pidgin scripts
@@ -182,8 +179,8 @@
 libpurple contains the core IM support for IM clients such as Pidgin
 and Finch.
 
-libpurple supports a variety of messaging protocols including AIM,
-XMPP, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
+libpurple supports a variety of messaging protocols including
+XMPP, Bonjour, Gadu-Gadu, IRC, Novell Groupwise, QQ,
 Lotus Sametime, SILC, Simple and Zephyr.
 
 %description -n libpurple-devel
diff --git a/pidgin/gtkstatusbox.c b/pidgin/gtkstatusbox.c
--- a/pidgin/gtkstatusbox.c
+++ b/pidgin/gtkstatusbox.c
@@ -368,53 +368,6 @@
 	gtk_drag_finish(dc, FALSE, FALSE, t);
 }
 
-static void
-statusbox_got_url(PurpleUtilFetchUrlData *url_data, gpointer user_data,
-                const gchar *themedata, size_t len, const gchar *error_message)
-{
-	FILE *f;
-	gchar *path;
-	size_t wc;
-
-	if ((error_message != NULL) || (len == 0))
-		return;
-
-	f = purple_mkstemp(&path, TRUE);
-	wc = fwrite(themedata, len, 1, f);
-	if (wc != 1) {
-		purple_debug_warning("theme_got_url", "Unable to write theme data.\n");
-		fclose(f);
-		g_unlink(path);
-		g_free(path);
-		return;
-	}
-	fclose(f);
-
-	icon_choose_cb(path, user_data);
-
-	g_unlink(path);
-	g_free(path);
-}
-
-
-static gboolean
-statusbox_uri_handler(const char *proto, const char *cmd, GHashTable *params, void *data)
-{
-	const char *src;
-
-	if (g_ascii_strcasecmp(proto, "aim"))
-		return FALSE;
-
-	if (g_ascii_strcasecmp(cmd, "buddyicon"))
-		return FALSE;
-
-	src = g_hash_table_lookup(params, "account");
-	if (src == NULL)
-		return FALSE;
-
-	purple_util_fetch_url(src, TRUE, NULL, FALSE, statusbox_got_url, data);
-	return TRUE;
-}
 
 static gboolean
 icon_box_enter_cb(GtkWidget *widget, GdkEventCrossing *event, PidginStatusBox *box)
@@ -1919,9 +1872,6 @@
 								spellcheck_prefs_cb, status_box);
 	purple_prefs_connect_callback(status_box, PIDGIN_PREFS_ROOT "/accounts/buddyicon",
 	                            update_buddyicon_cb, status_box);
-	purple_signal_connect(purple_get_core(), "uri-handler", status_box,
-					PURPLE_CALLBACK(statusbox_uri_handler), status_box);
-
 }
 
 static void
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -1142,49 +1142,6 @@
 				account = NULL;
 			}
 
-			/* Special case for AIM and ICQ */
-			if (account == NULL && (purple_strequal(protocol, "aim") ||
-									purple_strequal(protocol, "icq")))
-			{
-				for (l = list; l != NULL; l = l->next)
-				{
-					PurpleConnection *gc;
-					PurplePluginProtocolInfo *prpl_info = NULL;
-					PurplePlugin *plugin;
-
-					if (all_accounts)
-					{
-						account = (PurpleAccount *)l->data;
-
-						plugin = purple_plugins_find_with_id(
-							purple_account_get_protocol_id(account));
-
-						if (plugin == NULL)
-						{
-							account = NULL;
-
-							continue;
-						}
-
-						prpl_info = PURPLE_PLUGIN_PROTOCOL_INFO(plugin);
-					}
-					else
-					{
-						gc = (PurpleConnection *)l->data;
-						account = purple_connection_get_account(gc);
-
-						prpl_info = PURPLE_PLUGIN_PROTOCOL_INFO(gc->prpl);
-					}
-
-					protoname = prpl_info->list_icon(account, NULL);
-
-					if (purple_strequal(protoname, "aim") || purple_strequal(protoname, "icq"))
-						break;
-
-					account = NULL;
-				}
-			}
-
 			*ret_account = account;
 		}
 	}
diff --git a/pidgin/pixmaps/Makefile.am b/pidgin/pixmaps/Makefile.am
--- a/pidgin/pixmaps/Makefile.am
+++ b/pidgin/pixmaps/Makefile.am
@@ -201,11 +201,9 @@
 		emotes/small/16/scalable/pidgin-emotes.svg
 
 PROTOCOLS_16_SCALABLE = \
-		protocols/16/scalable/aim.svg \
 		protocols/16/scalable/bonjour.svg \
 		protocols/16/scalable/gadu-gadu.svg \
 		protocols/16/scalable/novell.svg \
-		protocols/16/scalable/icq.svg \
 		protocols/16/scalable/irc.svg \
 		protocols/16/scalable/jabber.svg \
 		protocols/16/scalable/meanwhile.svg \
@@ -214,13 +212,11 @@
 		protocols/16/scalable/zephyr.svg
 
 PROTOCOLS_16 = \
-		protocols/16/aim.png \
 		protocols/16/bonjour.png \
 		protocols/16/facebook.png \
 		protocols/16/gadu-gadu.png \
 		protocols/16/google-talk.png \
 		protocols/16/novell.png \
-		protocols/16/icq.png \
 		protocols/16/irc.png \
 		protocols/16/jabber.png \
 		protocols/16/meanwhile.png \
@@ -250,11 +246,9 @@
 ICONS_SCALABLE = icons/hicolor/scalable/apps/pidgin.svg
 
 PROTOCOLS_22_SCALABLE = \
-		protocols/22/scalable/aim.svg \
 		protocols/22/scalable/bonjour.svg \
 		protocols/22/scalable/gadu-gadu.svg \
 		protocols/22/scalable/novell.svg \
-		protocols/22/scalable/icq.svg \
 		protocols/22/scalable/irc.svg \
 		protocols/22/scalable/jabber.svg \
 		protocols/22/scalable/meanwhile.svg \
@@ -263,13 +257,11 @@
 		protocols/22/scalable/zephyr.svg
 
 PROTOCOLS_22 = \
-		protocols/22/aim.png \
 		protocols/22/bonjour.png \
 		protocols/22/facebook.png \
 		protocols/22/gadu-gadu.png \
 		protocols/22/google-talk.png \
 		protocols/22/novell.png \
-		protocols/22/icq.png \
 		protocols/22/irc.png \
 		protocols/22/jabber.png \
 		protocols/22/meanwhile.png \
@@ -278,12 +270,10 @@
 		protocols/22/zephyr.png
 
 PROTOCOLS_48 = \
-		protocols/48/aim.png \
 		protocols/48/bonjour.png \
 		protocols/48/facebook.png \
 		protocols/48/gadu-gadu.png \
 		protocols/48/novell.png \
-		protocols/48/icq.png \
 		protocols/48/irc.png \
 		protocols/48/jabber.png \
 		protocols/48/meanwhile.png \
@@ -292,12 +282,10 @@
 		protocols/48/zephyr.png
 
 PROTOCOLS_SCALABLE = \
-		protocols/scalable/aim.svg \
 		protocols/scalable/bonjour.svg \
 		protocols/scalable/gadu-gadu.svg \
 		protocols/scalable/google-talk.svg \
 		protocols/scalable/novell.svg \
-		protocols/scalable/icq.svg \
 		protocols/scalable/irc.svg \
 		protocols/scalable/jabber.svg \
 		protocols/scalable/meanwhile.svg \
diff --git a/pidgin/win32/nsis/pidgin-installer.nsi b/pidgin/win32/nsis/pidgin-installer.nsi
--- a/pidgin/win32/nsis/pidgin-installer.nsi
+++ b/pidgin/win32/nsis/pidgin-installer.nsi
@@ -387,7 +387,6 @@
   SectionEnd
 !macroend
 SectionGroup /e $(URIHANDLERSSECTIONTITLE) SecURIHandlers
-  !insertmacro URI_SECTION "aim"
   !insertmacro URI_SECTION "xmpp"
 SectionGroupEnd
 
